package xyz.tbvns.Models;

import com.badlogic.gdx.graphics.g3d.ModelInstance;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class GDInstance {
    public GDInstance(ModelInstance instance, String name, String id) {
        this.instance = instance;
        this.name = name;
        this.id = id;
        this.animation = false;
    }

    public GDInstance(ModelInstance instance, int fps, int frameSkip, int start, String name, String id) {
        this.instance = instance;
        this.fps = fps;
        this.frameSkip = frameSkip;
        this.start = start;
        this.name = name;
        this.id = id;
        animation = true;
        expanded = false;
    }

    private ModelInstance instance;
    private boolean animation;
    private int start;
    private int current;
    private int fps, frameSkip;
    //TODO: ad keyframes
    private String name, id;
    private boolean expanded;
}
